enum StaticFile: String, CaseIterable {
    case documentation = "documentation.json"
    case faviconICO = "favicon.ico"
    case faviconSVG = "favicon.svg"
    case themeSettings = "theme-settings.json"
}

// MARK: - Pathable

extension StaticFile: Pathable {
    
    // MARK: Computed
    
    var path: String {
        switch self {
        case .documentation: "/data/" + rawValue
        default: .init(format: .Format.pathRoot, rawValue)
        }
    }
    
}
